Page MenuHomePhabricator

Update method of retrieving short descriptions in the MW TitleWidget to prop=description
Closed, ResolvedPublic1 Story Points

Description

There's now a magic word which allows editors on the English Wikipedia to override the descriptions from Wikidata, per T184000. The previous method of accessing the descriptions using prop=pageterms now needs to be replaced with prop=description. The output from the new method is quite different, so there'll be a few changes that need to be made.

Old method: https://en.wikipedia.org/w/api.php?action=query&titles=Wagon%20Train&prop=pageterms

New method: https://en.wikipedia.org/w/api.php?action=query&titles=Wagon%20Train&prop=description

Event Timeline

Deskana created this task.Apr 3 2018, 7:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 3 2018, 7:17 PM
Deskana triaged this task as Normal priority.Apr 3 2018, 7:19 PM
Deskana moved this task from To Triage to Current work on the VisualEditor board.
Deskana edited projects, added VisualEditor (Current work); removed VisualEditor.

If you are talking about the link inspector, the title widget was upstreamed from VisualEditor to MediaWiki core.

If you are talking about the link inspector, the title widget was upstreamed from VisualEditor to MediaWiki core.

In that case, core needs updating, because it's still pulling the descriptions from pageterms rather than description.

Esanders renamed this task from Update method of retrieving short descriptions in the visual editor to prop=description to Update method of retrieving short descriptions in the MW TitleWidget to prop=description.Apr 4 2018, 2:15 PM
Esanders added a project: OOUI.

Change 423935 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/core@master] Use new API for descriptions in TitleWidget

https://gerrit.wikimedia.org/r/423935

Esanders claimed this task.Apr 4 2018, 2:48 PM
matmarex edited projects, added MediaWiki-General; removed OOUI.Apr 4 2018, 3:54 PM

Change 423935 merged by jenkins-bot:
[mediawiki/core@master] Use new API for descriptions in TitleWidget

https://gerrit.wikimedia.org/r/423935

Elitre added a subscriber: Elitre.Apr 4 2018, 6:12 PM
Deskana closed this task as Resolved.Apr 6 2018, 9:59 AM
Deskana set the point value for this task to 1.

Change 431586 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Update link cache to use new descriptions API

https://gerrit.wikimedia.org/r/431586

Change 431586 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update link cache to use new descriptions API

https://gerrit.wikimedia.org/r/431586